Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1483154 - Review Request: nodejs-set-blocking - Set blocking stdio and stderr ensuring that terminal output does not truncate
Summary: Review Request: nodejs-set-blocking - Set blocking stdio and stderr ensuring ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED
TreeView+ depends on / blocked
 
Reported: 2017-08-18 21:48 UTC by Jared Smith
Modified: 2017-09-21 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-21 19:23:00 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2017-08-18 21:48:49 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-set-blocking/nodejs-set-blocking.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-set-blocking/nodejs-set-blocking-2.0.0-1.fc27.src.rpm
Description: Set blocking stdio and stderr ensuring that terminal output does not truncate
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-08-19 09:34:45 UTC
Hello,


Minor issues:
 - Description should end with a dot.
 - Use spaces only in your spec, no tabs please.
 - Instead of using a complex script to download the tests, why don't you download directly the archive from Github? It contains the tests. Just do:
Source0:    https://github.com/yargs/%{packagename}/archive/v%{version}/%{packagename}-%{version}.tar.gz
You'll have everything you need.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC", "Unknown or generated". 7 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/nodejs-
     set-blocking/review-nodejs-set-blocking/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-set-blocking-2.0.0-1.fc27.noarch.rpm
          nodejs-set-blocking-2.0.0-1.fc27.src.rpm
nodejs-set-blocking.noarch: W: spelling-error Summary(en_US) stderr -> std err, std-err, stander
nodejs-set-blocking.noarch: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
nodejs-set-blocking.noarch: W: only-non-binary-in-usr-lib
nodejs-set-blocking.src: W: spelling-error Summary(en_US) stderr -> std err, std-err, stander
nodejs-set-blocking.src: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
nodejs-set-blocking.src: W: invalid-url Source1: tests-2.0.0.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Robert-André Mauchin 2017-09-20 09:23:44 UTC
After my experience with other node packages, I think this is all ok.

Comment 3 Jared Smith 2017-09-20 14:09:59 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1419'

Comment 4 Gwyn Ciesla 2017-09-20 14:46:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-set-blocking

Comment 5 Jared Smith 2017-09-21 19:23:00 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.